summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-config/install_functions.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-12-07 00:39:49 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-12-07 00:39:49 (GMT)
commit2ce20c77e0e643b5d60ef0dff4d689bb5a05f656 (patch)
treed74629d6ec777b9205bd19ac100bcf3df3255dec /abs/core-testing/LinHES-config/install_functions.sh
parent3211a5b7d8ddb4c7871f844036c366108ee57ef3 (diff)
downloadlinhes_pkgbuild-2ce20c77e0e643b5d60ef0dff4d689bb5a05f656.zip
linhes_pkgbuild-2ce20c77e0e643b5d60ef0dff4d689bb5a05f656.tar.gz
linhes_pkgbuild-2ce20c77e0e643b5d60ef0dff4d689bb5a05f656.tar.bz2
Add support for Autodetection of Hauppauge pvr-250 receivers. This should work
but I don't have a pvr-250 receiver anymore so can't fully test it. If PVR-250 is found then the old Hauppauge remote is assumed to be in use. Detection first checks for USB receivers, if no receiver is found it then checks for Hauppauge receivers. First found remote wins, so if a USB receiver is found the Hauppauge detection is never run. Oddly enough I never wanted to use a Hauppauage receiver again, but somehow I spent most of the adding support for it.
Diffstat (limited to 'abs/core-testing/LinHES-config/install_functions.sh')
-rwxr-xr-xabs/core-testing/LinHES-config/install_functions.sh37
1 files changed, 33 insertions, 4 deletions
diff --git a/abs/core-testing/LinHES-config/install_functions.sh b/abs/core-testing/LinHES-config/install_functions.sh
index 3e7f8f8..d976dbb 100755
--- a/abs/core-testing/LinHES-config/install_functions.sh
+++ b/abs/core-testing/LinHES-config/install_functions.sh
@@ -35,7 +35,7 @@ update_db_settings Theme "$pick"
function setupremote {
- [ -e $BASE/etc/lircd.conf ] && mv -f $BASE/etc/lircd.conf $BASE/etc/lircd.conf.`date +%Y-%m-%d-%H-%M`
+ [ -e $BASE/etc/lircd.conf ] && mv -f $BASE/etc/lircd.conf $BASE/etc/lircd.conf.`date +%Y-%m-%d-%H-%M`
if [ -d $TEMPLATES/remotes/$Remotetype ]
then
cd $TEMPLATES/remotes/$Remotetype
@@ -50,16 +50,40 @@ function setupremote {
echo "Starting with support for $Remotetype"
if [ x$Remotetype = "xdvico" ]
then
- /usr/sbin/lircd -d /dev/usb/hiddev0
+ /usr/sbin/lircd -d /dev/usb/hiddev0
else
/usr/sbin/lircd -d /dev/lirc0
fi
[ -e /root/.mythtv ] || mkdir /root/.mythtv 2>/dev/null
- ln -s /etc/lircrc /root/.mythtv/lircrc 2>/dev/null
+ ln -s /etc/lircrc /root/.mythtv/lircrc 2>/dev/null
+ else
+ echo "Couldn't open directory $TEMPLATES/remotes/$Remotetype"
fi
}
+function scan_for_hpg_receiver() {
+echo "Scanning for Hauppauge receiver"
+for hpgid in `lspci -nm -d4444: |cut -d" " -f6- |tr -d '"'|tr " " :`
+do
+ line=`grep $hpgid $TEMPLATES/remotes/i2c.id`
+ if [ $? = 0 ]
+ then
+ modprobe lirc_i2c
+ FoundReceiverType=`echo "$line"|cut -d"|" -f2`
+ Remotetype=`echo "$line"|cut -d"|" -f4`
+ statusline=`echo "$line"|cut -d"|" -f2,4`
+ echo "Found $statusline , $Remotetype"
+ update_db_settings HostReceiverType $FoundReceiverType
+ setupremote
+ break
+ fi
+
+done
+}
+
+
function scan_for_usb_remote () {
+found_remote=1
echo "Scanning for usb receiver/remote"
while read line
do
@@ -68,11 +92,16 @@ do
if [ $? = 0 ]
then
Remotetype=`echo "$line"|cut -d"|" -f2`
- echo "found $Remotetype"
+ echo "Found $Remotetype"
setupremote
+ found_remote=0
break
fi
done <$BASE/$TEMPLATES/remotes/receiver_usb.id
+if [ $found_remote = 1 ]
+then
+ scan_for_hpg_receiver
+fi
}
function rest_of_network () {